Outdated version of PEAR?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Outdated version of PEAR?

Postby trejder » 07. November 2010 01:07

Hi there,

I'm using XAMPP Lite 1.7.3, which is AFAIK most up-to-date official, non-beta release.

I'm trying to install PHPUnit by following official installation guide and got a little stuck, because after executing pear install phpunit/PHPUnit I see for most of units error message saying that package or unit requires PEAR Installer (version >= 1.9.1), installed version is 1.8.1.

Is it possible that XAMPP packages does not contains most up-to-date version of PEAR?

And what to do with this? I can't see any update-pear option, when calling pear /?. Then, how can I update PEAR to be able to install PHPUnit (it is so idiotic, that this package can't be installed in other way).

Regards,
Trejder
trejder
 
Posts: 42
Joined: 13. April 2008 06:45

Re: Outdated version of PEAR?

Postby Altrea » 07. November 2010 01:36

Pear can upgrade itself.
You should do this in the XAMPP Shell:

Update channel:
Code: Select all
# pear channel-update pear.php.net


Upgrade PEAR
Code: Select all
# pear upgrade PEAR


After that you can follow the introductions of the PHPUnit pear channel
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Outdated version of PEAR?

Postby trejder » 07. November 2010 02:09

Altrea wrote:Pear can upgrade itself.

This does not answer question, why newest release of XAMPP does not contains newest version of PEAR? :)

Altrea wrote:
Code: Select all
# pear upgrade PEAR

Did so, thanks!

Offtopic - Still can't stop wondering, how can they say on official guide (http://pear.php.net/manual/en/installation.getting.php
) that execution go-pear.php updates out-dated version of PEAR to newest one, when it doesn't! I've got thousand of lines saying that go-pear.php is using deprecated PHP functions (how can this be true?) and version 1.8.1 that came with XAMPP 1.7.3 stayed the same. I had to execute pear install PEAR-1.9.1 to actually upgrade PEAR.

Either I'm missing something or they (the PEAR team) are providing most buggy and out-of-dated installer I ever seen before and are doing all they can to make people against PEAR. Until I decided to install PHPUnit I haven't been using PEAR at all. Now I know why - because I had to waste over an hours and seek the Internet for solution that should be in official documentation.
trejder
 
Posts: 42
Joined: 13. April 2008 06:45

Re: Outdated version of PEAR?

Postby Altrea » 07. November 2010 02:34

trejder wrote:This does not answer question, why newest release of XAMPP does not contains newest version of PEAR? :)

XAMPP 1.7.3 was released on 23th of December 2009. PEAR 1.8.1 was the second least stable relase of PEAR at this time. You should remember, that it is not anytime possible to bring the newest packages all together in one release. The XAMPP developers have to merge, configure and check all the components for several operating systems so that all of them can be nearly the same.
Time doesn't stand still. Pear upgrade it's classes and functions. Next time we can ask the PEAR Installer developer to wait with the next release for the next XAMPP release :shock:

But now you know that every PEAR class can be upgraded through the pear channels.

trejder wrote:Offtopic - Still can't stop wondering, how can they say on official guide (http://pear.php.net/manual/en/installation.getting.php) that execution go-pear.php updates out-dated version of PEAR to newest one, when it doesn't!

This is an instruction for installing PEAR the first time on a standard PHP installation.
1. XAMPP is a little bit different to a standard PHP installation (no Registry entrys, no edited PATH variable, everything as portable as possible)
2. PEAR is already installed. No need for an PEAR installation guide

trejder wrote:I've got thousand of lines saying that go-pear.php is using deprecated PHP functions (how can this be true?) and version 1.8.1 that came with XAMPP 1.7.3 stayed the same.

Have you followed the instructions to open the go-pear.php file in the command line? In your Browser that don't works.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Outdated version of PEAR?

Postby trejder » 07. November 2010 09:13

Altrea wrote:This is an instruction for installing PEAR the first time on a standard PHP installation.

Nope! On the webpage from where I got go-pear.php it is written: "To update your PEAR installation, request http://pear.php.net/go-pear in your browser and save the output to a local file go-pear.php."

I did so and no update occured. Version 1.8.1 stated as it was there from very XAMPP installation.

Altrea wrote:Have you followed the instructions to open the go-pear.php file in the command line? In your Browser that don't works.

Of course! In my FF any attempt to open above mentioned file ends in displaying its contents. Beside, it is said that I should output it into local file and I'm trying to read all manuals with at least basic understanding! :) :) :)
trejder
 
Posts: 42
Joined: 13. April 2008 06:45

Re: Outdated version of PEAR?

Postby Altrea » 07. November 2010 11:51

trejder wrote:Nope! On the webpage from where I got go-pear.php it is written: "To update your PEAR installation, request http://pear.php.net/go-pear in your browser and save the output to a local file go-pear.php."

On the same page the TOPIC says
Getting and installing the PEAR package manager

But you already have PEAR installed. You just want to upgrade. So maybe this is not the right documentation to fit your needs.

The go-pear.php file works too, if you remember two things:
- Be careful saving the file the correct way! Don't use the Save function of your browser! Mark all the text and copy it to a new text-file. Otherwise you will get all the HTML-Entitys and HTML Content the Browser recieved.
- The XAMPP PEAR installation is portable. There is no Windows Path variable setted for PEAR! The installer will ask you for paths, Maybe you have to edit them by hand. Good luck with that.

trejder wrote:I did so and no update occured. Version 1.8.1 stated as it was there from very XAMPP installation.

Sure, the Update don't occure just by downloading the go-pear.php file. You have to execute it and follow the installation Wizard.

trejder wrote:Of course! In my FF any attempt to open above mentioned file ends in displaying its contents.

That is a hint that you have saved the go-pear.php file the wrong way.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 47 guests